import request from '@/utils/request'

//  查询平台蜜蜂币活动信息
export function getBeeList(data) {
  return request({
    url: '/platformBeeCurrency/page',
    method: 'post',
    data
  })
}

//  新增平台蜜蜂币
export function addBee(data) {
  return request({
    url: '/platformBeeCurrency/save',
    method: 'post',
    data
  })
}


//  查询平台蜜蜂币活动信息
export function getBeeInfo(id) {
  return request({
    url: `/platformBeeCurrency/${id}`,
    method: 'get',
  })
}

//  修改平台蜜蜂币
export function editBee(data) {
  return request({
    url: '/platformBeeCurrency/update',
    method: 'put',
    data
  })
}

// 停止当前蜜蜂币活动
export function stopBee(data) {
  return request({
    url: `/platformBeeCurrency/stop`,
    method: 'post',
    data
  })
}


//  获取活动参与的店铺
export function getShopList(data) {
  return request({
    url: '/platformBeeCurrency/getCurrencyShop',
    method: 'post',
    data
  })
}

// 获取活动的数据
export function getBeeData(data) {
  // console.log(data);
  return request({
    url: '/platformBeeCurrency/getCurrencyData',
    method: 'post',
    data
  })
}

//  删除活动信息
export function beeDelete(id) {
  return request({
    url: `/platformBeeCurrency/delete/${id}`,
    method: 'delete',
  })
}

// 查看该店铺下参加的商品
export function activeGetProducts(data) {
  return request({
    url: '/activity/getProducts',
    method: 'post',
    data
  })
}


//  审核商家
export function activExamine(data) {
  return request({
    url: '/activity/examine',
    method: 'post',
    data
  })
}

//  清退
export function activeLiquidation(data) {
  return request({
    url: '/activity/liquidation',
    method: 'post',
    data
  })
}

// 审核记录查询
export function activeGetExamines(data) {
  return request({
    url: '/activity/getExamines',
    method: 'post',
    data
  })
}
